#!/bin/sh

#set -e

Upstart_tty ()
{
	log_begin_msg "Configuring upstart tty"
	
	if [ "/${rootmnt}/etc/init/tty*" != "$(echo /${rootmnt}/etc/init/tty*)" ]
	then
		#for f in /${rootmnt}/etc/init/tty[2-6]*
		for f in /${rootmnt}/etc/init/tty[1-6]*
		do
			# Make all tty[2-6].conf not to start in the beginning (as tty1.conf does). Otherwise live-config will be started after init (upstart) is started.
	                # //NOTE// This can _NOT_ be moved to live-config, because it will be run after init (upstart) is started, then the modifications will not take effect.
			# For Ubuntu 12.04, /etc/init/tty2.conf is like:
			# start on runlevel [23] and (
	       	       	#      not-container or
	       	       	#      container CONTAINER=lxc or
	       	       	#      container CONTAINER=lxc-libvirt)
			# While for Ubuntu 11.04, 11.10, /etc/init/tty2.conf is like:
	       	       	# start on runlevel [23]
			# Therefore we want
			# start on runlevel [23] and (
			# and
			# start on runlevel [23]
			# to become:
			# start on stopped rc RUNLEVEL=[2345] and (
			# and
			# start on stopped rc RUNLEVEL=[2345]
			# sed -i -r -e 's@^start on runlevel.*(and \(|$)@start on stopped rc RUNLEVEL=[2345] \1@' $f
			# A workaround to disable container-related events. Somehow
			# the "not-container" although sent by container-detect.conf,
			# but tty[1-4].conf just can not start.
			# We have to start container-detect.conf again. Therefore here
			# we commented those container-related events. //NOTE// Here we
			# also modify tty1.conf.
	                # For tty1.conf's 1st line
			sed -i -r -e 's@^start on stopped rc RUNLEVEL=\[2345\].*@start on stopped rc RUNLEVEL=[2345] # modified by DRBL live-boot@' $f
			# For tty[2-6].conf's 1st line
			sed -i -r -e 's@^start on runlevel.*(and \(|$)@start on stopped rc RUNLEVEL=[2345] # modified by DRBL live-boot@' $f
			# For all of them
			sed -i -r -e 's@^[^#](.*container.*)@# \1 # commented by DRBL live-boot@g' $f
			sed -i -r -e "s|^stop on runlevel.*|stop on runlevel [!2345] # modified by DRBL live-boot|" $f
		done
	fi
}
